## groovy.xml.streamingmarkupsupport
Class Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.xml.streamingmarkupsupport.Builder

All Implemented Interfaces:
  GroovyObject

Direct Known Subclasses:
  BaseMarkupBuilder

    public abstract class Builder

extends GroovyObjectSupport

Nested Class Summary
`protected static class` `Builder.Built`

Field Summary
`protected Map` `namespaceMethodMap`

Constructor Summary
`Builder(Map namespaceMethodMap)`

Method Summary
`abstract Object` `bind(Closure root)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceMethodMap

    protected final Map namespaceMethodMap

Constructor Detail

### Builder

    public Builder(Map namespaceMethodMap)

Method Detail

### bind

    public abstract Object bind(Closure root)

Copyright © 2003-2008 The Codehaus. All rights reserved.